By FID or cast
curl --request GET \
--url https://snapchain-api.neynar.com/v1/reactionById \
--header 'x-api-key: <api-key>'import requests
url = "https://snapchain-api.neynar.com/v1/reactionById"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://snapchain-api.neynar.com/v1/reactionById', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hash": "0xd2b1ddc6c88e865a33cb1a565e0058d757042974",
"hashScheme": "HASH_SCHEME_BLAKE3",
"signature": "aSDinaTvuI8gbWludGxpZnk=",
"signatureScheme": "SIGNATURE_SCHEME_ED25519",
"signer": "<string>",
"data": {
"type": "MESSAGE_TYPE_CAST_ADD",
"fid": 2,
"timestamp": 48994466,
"network": "FARCASTER_NETWORK_MAINNET",
"reactionBody": {
"type": "Like",
"targetCastId": {
"fid": 2,
"hash": "0x03aff391a6eb1772b20b4ead9a89f732be75fe27"
},
"targetUrl": "https://www.example.com/article"
}
}
}{
"errCode": "<string>",
"presentable": true,
"name": "<string>",
"code": 123,
"details": "<string>",
"metadata": {
"errcode": [
"<string>"
]
}
}Reactions
By FID or cast
Lookup a reaction by its FID or cast.
GET
/
v1
/
reactionById
By FID or cast
Authorizations
API key to authorize requests
Query Parameters
The FID of the reaction's creator
The FID of the cast's creator
The cast's hash
Type of interaction a user can have with content on the Farcaster network.
- Like: Express appreciation for the target content. Similar to "likes" or "favorites" on other platforms.
- Recast: Share the target content with the user's followers, similar to a "retweet" or "reblog". Helps increase content visibility.
Available options:
Like, Recast Example:
"Like"
Response
The requested Reaction.
Pattern:
^0x[0-9a-fA-F]{40}$Example:
"0xd2b1ddc6c88e865a33cb1a565e0058d757042974"
Type of hashing scheme used to produce a digest of MessageData. - HASH_SCHEME_BLAKE3: Default scheme for hashing MessageData
Available options:
HASH_SCHEME_BLAKE3 Pattern:
^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$Type of signature scheme used to sign the Message hash
- SIGNATURE_SCHEME_ED25519: Ed25519 signature (default)
- SIGNATURE_SCHEME_EIP712: ECDSA signature using EIP-712 scheme
Available options:
SIGNATURE_SCHEME_ED25519, SIGNATURE_SCHEME_EIP712 Pattern:
^0x[0-9a-fA-F]+$Represents a user's reaction to content on the Farcaster network. Reactions can be likes or recasts of casts, allowing users to express appreciation or share content with their followers.
Show child attributes
Show child attributes
Was this page helpful?